Bug 457142 - Review Request: olpc-netutils - OLPC network utilities
Review Request: olpc-netutils - OLPC network utilities
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Till Maas
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-07-29 16:37 EDT by Robin Norwood
Modified: 2008-09-10 02:33 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-09-10 02:33:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
opensource: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Robin Norwood 2008-07-29 16:37:44 EDT
Spec URL: http://people.redhat.com/rnorwood/rpms/olpc-netutils.spec
SRPM URL: http://people.redhat.com/rnorwood/rpms/olpc-netutils-0.4-1.fc9.src.rpm
Description: olpc-netutils is a GPL-licensed collection of scripts for logging network status information on OLPC XOs.
Comment 1 Till Maas 2008-08-08 16:31:26 EDT
[OK] rpmlint output: silent
[OK] Spec in %{name}.spec format

[OK] license allowed: GPLv2+
GPLv2+ license headers in all files:
olpc-connections  olpc-log  olpc-mesh  olpc-mpp  olpc-netstatus  olpc-xos  sugar-telepathies  sugar-xos
[OK] license matches shortname in License-Tag
[OK] license in tarball and included in %doc: COPYING

[OK] package is code or permissive content:

[OK] Source0 is a working URL
[OK] Source0 matches Upstream:
eb66bdf93e1eed8ae822a584abbc9082  olpc-netutils-0.4.tar.bz2

[OK] Package builds on all platforms: noarch
[OK] BuildRequires are complete (mock builds)
(OK) No file dependencies outside of /etc /bin /sbin /usr/bin /usr/sbin 
 28 Requires:       /sbin/modprobe
 29 Requires:       /bin/awk
 30 Requires:       /bin/grep


[OK] Prefix: /usr not used (not relocatable)

[OK] Owns all created directories
[OK] no duplicates in %files
[OK] %defattr(-,root,root,-) is in every %files section
[OK] Does not own files or dirs from other packages
[OK] included filenames are in UTF-8

[OK] %clean is rm -rf %{buildroot} or $RPM_BUILD_ROOT 
[OK] %install starts with rm -rf %{buildroot} or $RPM_BUILD_ROOT 

[OK] Consistent macro usage

[OK] large documentation is -doc subpackage
[OK] %doc does not affect runtime

{OK} no pre-built binaries (.a, .so*, executable)

{OK} well known BuildRoot:
%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
{OK} PreReq not used
{OK} no duplication of system libraries
{OK} no rpath
{NOT OK} Timestamps preserved with cp and install
https://fedoraproject.org/wiki/Packaging/Guidelines#Timestamps

In Makefile.build install is used without -p for files (line 15). Please
create a patch that adds -p and submit it upstream.

{OK} Uses parallel make (%{?_smp_mflags})
{OK} Requires(pre,post) style notation not used
{OK} only writes to tmp /var/tmp $TMPDIR %{_tmppath} %{_builddir} (and %{buildroot} on %install and %clean)
{OK} no Conflicts
{OK} nothing installed in /srv
{NOT OK} Changelog in allowed format
Afaik, the disttag (.fc9) does not belong in the Changelog
https://fedoraproject.org/wiki/Packaging/Guidelines#Changelogs

{OK} does not use Scriptlets
<OK> Architecture independent packages have: BuildArch: noarch

In conclusion:
- Please add -p to the install in the Makefile as a patch, submit it upstream and
  mention it in the spec:
install -p -D $< $@
- You should not use the disttag in the changelog

Once the install issue is resolved, I will approve this package.
Comment 2 Robin Norwood 2008-08-08 18:29:10 EDT
Ok, new spec file and srpm with both of those issues fixed:

http://people.redhat.com/rnorwood/rpms/olpc-netutils-0.4-2.fc9.src.rpm
http://people.redhat.com/rnorwood/rpms/olpc-netutils.spec
Comment 3 Till Maas 2008-08-08 18:49:20 EDT
(In reply to comment #2)
> Ok, new spec file and srpm with both of those issues fixed:
> 
> http://people.redhat.com/rnorwood/rpms/olpc-netutils-0.4-2.fc9.src.rpm
> http://people.redhat.com/rnorwood/rpms/olpc-netutils.spec

{OK} Timestamps preserved with cp and install
{OK} Changelog in allowed format

APPROVED.
Comment 4 Robin Norwood 2008-08-08 23:02:01 EDT
New Package CVS Request
=======================
Package Name: olpc-netutils
Short Description: olpc-netutils is a GPL-licensed collection of scripts for logging network status information on OLPC XOs.
Owners: rnorwood
Branches: F-9
InitialCC:
Cvsextras Commits: Yes
Comment 5 Kevin Fenzi 2008-08-09 21:19:43 EDT
cvs done.
Comment 6 Fedora Update System 2008-08-10 22:38:15 EDT
olpc-netutils-0.4-2.fc9 has been submitted as an update for Fedora 9
Comment 7 Fedora Update System 2008-08-12 14:21:01 EDT
olpc-netutils-0.4-2.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update olpc-netutils'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-7158
Comment 8 Fedora Update System 2008-09-10 02:32:59 EDT
olpc-netutils-0.4-2.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.